# Gist Slideshow

A react component to view your Github Gists in a simple slideshow.

##Install

`npm install react-gist-slideshow`

##Usage

``` js
var Slideshow = require('Slideshow');

React.render(
  <Slideshow gist="https://gist.github.com/alexmcpherson/4ebc65db31cd2a2ce0e2" />,
  document.getElementById('container')
);
```

Simply replace the url with the url for your gist to create a slide show. 

``` html
<body>
  <div id="container" style="height: 100%"></div>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
  <script src="src/build.js"></script>
</body>
```

Make sure to set the height for the container! 

##Supported File Types

* JavaScript
* HTML
* Markdown
* Objective-C
* Ruby
* Java
* Python

(other file types will render, but without the proper syntax highlighting)